package com.ximai.mes.pro.domain.productionRequest;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 量产申请工序工装夹具对象 pro_production_request_process_tool
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProProductionRequestProcessTool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long productionRequestProcessToolId;

    /** 量产申请单ID */
    private Long productionRequestId;

    /** 量产申请工序ID */
    private Long productionRequestProcessId;

    /** 检验项ID */
    @Excel(name = "检验项ID")
    private Long toolId;

    /** 要求数量 */
    @Excel(name = "要求数量")
    private BigDecimal quantity;

    public void setProductionRequestProcessToolId(Long productionRequestProcessToolId)
    {
        this.productionRequestProcessToolId = productionRequestProcessToolId;
    }

    public Long getProductionRequestProcessToolId()
    {
        return productionRequestProcessToolId;
    }
    public void setProductionRequestId(Long productionRequestId)
    {
        this.productionRequestId = productionRequestId;
    }

    public Long getProductionRequestId()
    {
        return productionRequestId;
    }
    public void setProductionRequestProcessId(Long productionRequestProcessId)
    {
        this.productionRequestProcessId = productionRequestProcessId;
    }

    public Long getProductionRequestProcessId()
    {
        return productionRequestProcessId;
    }
    public void setToolId(Long toolId)
    {
        this.toolId = toolId;
    }

    public Long getToolId()
    {
        return toolId;
    }
    public void setQuantity(BigDecimal quantity)
    {
        this.quantity = quantity;
    }

    public BigDecimal getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productionRequestProcessToolId", getProductionRequestProcessToolId())
            .append("productionRequestId", getProductionRequestId())
            .append("productionRequestProcessId", getProductionRequestProcessId())
            .append("toolId", getToolId())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
